<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
  $ok=0;
$stot=0;
  
extract($_POST);
$arr1=$_POST['nombre_prod'];
$arr2=$_POST['cantidad'];
$arr3=$_POST['id_prod'];
$nombre_prod = unserialize(urldecode($arr1));
$cantidad = unserialize(urldecode($arr2));
$id_prod = unserialize(urldecode($arr3));
   $cuenta=$_POST['copia_cuenta'];
   $centroenv=$_POST['cde'];
   $centropide=$_POST['cdi'];
  
   

  $qIP = "INSERT INTO transacciones
							    (	 
							      inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, observaciones, cdentrega, statusentrega
							    ) 
							    VALUES 
							    (
								    '0', '5',curdate(),curtime(),'$cdi','$comments', '$cde', 'PENDIENTE'
							     )";
					$cIP = mysqli_query($conexion, $qIP) or die ('Error (Intento de Actualizacion en Pedido): ' . mysqli_error($conexion));
	
		
	
	   $qa = "SELECT idtransacciones FROM transacciones WHERE tipostr_idtipostr=5 and fechat= curdate() order by horat ASC";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $trans = $ra[0];
	};
	
	
	echo"<center><br><font color=\"#000099\" size=\"+1\"><b>Pedido de stock realizado con &eacute;xito</b></font><br><br><table border=\"1\">
	<tr><th>ID</th><th>Nombre Producto</th><th>Cantidad</th><th>Precio Dist</th><th>Total</th></tr>";

	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$cantidad[$k] > 0)
		   		
				{		
						$A1[$k]=$cantidad[$k];
	   				$A2[$k]=$nombre_prod[$k];
	   				$A4[$k]=$id_prod[$k];
	   				$qp31 = "select precio from productos where id_prod=$A4[$k]";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$precio = $rp31->precio;
	   				$Preciotot=$precio*$A1[$k]; $stot+=$Preciotot;
		echo"<tr><td>$A4[$k]</td><td>$A2[$k]</td><td align=\"center\">$A1[$k]</td><td align=\"center\">$ $precio</td><td align=\"center\">$ $Preciotot</td>
		</tr>";
		
			
				$qP1 = "INSERT INTO pedido
							    (	 
							      transacciones_idtransacciones, productos_idprod, cant 
							    ) 
							    VALUES 
							    (
								    '$trans', '$A4[$k]','$A1[$k]'
							     )";
	   			$cP1 = mysqli_query($conexion, $qP1) or die ('Error (Intento de Actualizacion en Pedido): ' . mysqli_error($conexion));
		   		}	
		   	}
			
			$qP = "INSERT INTO depositos
							    (	 
							      centros_idcd, transacciones_idtransacciones, cantidad, puntos, no_ficha, banco_idbanco, fechad, status
							    ) 
							    VALUES 
							    (
								    '$cde', '$trans','0','0','','', '0000-00-00',  'PENDIENTE'
							     )";$cP = mysqli_query($conexion, $qP) or die ('Error (Intento de Actualizacion depositos): ' . mysqli_error($conexion));
								 


	         echo"</table><br>Total $ $stot<br><br><br><font color=\"#000099\" size=\"+2\">Transacci&oacute;n No.<b>  $trans</b></font><br><br";
?>



